@font-face {
  font-family: Raleway;
  src: url(/assets/fonts/Raleway-VariableFont_wght.woff2);
  font-display: swap;
}


@namespace svg "http://www.w3.org/2000/svg";


:not(svg *) {
  all: unset;
  display: revert;
  box-sizing: border-box;


  color: inherit;
  margin: 0;
  border: none;
  padding: 0;

  font-family: Raleway;
  font-size: var(--font-size);
  line-height: calc(var(--font-size) + 0.5rem);
}

html {
  --font-size: 16px;

  color: #4f5451;
}

img {
  display: block;
  overflow-clip-margin: content-box;
  overflow: clip;
}

h1 {
  --font-size: 4rem;
}

@media (max-width: 800px) {
  h1 {
    --font-size: 3rem;
  }
}

.subtitle {
  --font-size: 2rem;
}

@media (max-width: 800px) {
  .subtitle {
    --font-size: 1.5rem;
  }
}

h2 {
  --font-size: 3rem;
}

@media (max-width: 800px) {
  h2 {
    --font-size: 2rem;
  }
}

h3 {
  --font-size: 2rem;
}

@media (max-width: 800px) {
  h3 {
    --font-size: 1.5rem;
  }
}

b {
  font-weight: bold;
}

b.red {
  color: color(srgb 0.64 0 0);
}

b.blue {
  color: hsl(205deg 90.43% 27.49%);
}

.small_auto_margin {
  display: grid;
  grid-template-columns: minmax(2rem, 1fr) minmax(auto, 680px) minmax(2rem, 1fr);
}

.small_auto_margin > * {
  grid-column: 2;
}

.big_auto_margin {
  --min-margin: 2rem;
  display: grid;
  grid-template-columns: minmax(var(--min-margin), 1fr) minmax(auto, 1280px) minmax(var(--min-margin), 1fr);
}

@media (max-width: 800px) {
  .big_auto_margin {
    --min-margin: 0rem;
  }
}

.big_auto_margin > * {
  grid-column: 2;
}


.small_padding {
  padding: 1rem 0rem;
}

.medium_padding {
  padding: 2rem 0rem;
}

.large_padding {
  padding: 4rem 0rem;
}

.big_padding {
  padding: 8rem 0rem;
}

.grey_background {
  background: #f4f4f4;
}

.green_underline {
  text-decoration: underline;
  text-underline-offset: 0.5rem;
  text-decoration-color: #9cb1a5;
  text-decoration-thickness: 2px;
}

.usp_container {
  min-height: 60vh;
  display: grid;
  grid-template-columns: auto;
  grid-template-rows: auto auto auto minmax(2rem, 1fr);
}

.usp_container > h1 {
  grid-row: 1;
  padding-bottom: 1rem;
}

.usp_container > p {
  grid-row: 2;
  padding-bottom: 3rem;
}

.usp_container > .ctas_section {
  grid-row: 3;
  justify-self: center;

  display: grid;
  grid-template-columns: auto auto auto;
  grid-template-rows: auto;
  gap: 1rem;
  justify-items: center;
  align-items: center;
}

@media (max-width: 800px) {
  .usp_container > .ctas_section {
    grid-template-columns: auto;
    grid-template-rows: auto auto auto;
    gap: 0.5rem;
  }
}

.usp_container > .ctas_section > a:nth-child(1) {
  grid-row: 1;
  grid-column: 3;
}

@media (max-width: 800px) {
  .usp_container > .ctas_section > a:nth-child(1) {
    grid-row: 1;
    grid-column: 1;
  }
}

.usp_container > .ctas_section > p {
  grid-row: 1;
  grid-column: 2;
}

@media (max-width: 800px) {
  .usp_container > .ctas_section > p {
    grid-row: 2;
    grid-column: 1;
  }
}

.usp_container > .ctas_section > a:nth-child(3) {
  grid-row: 1;
  grid-column: 1;

  background: #fbfbfb;
  border: 1px solid #dfe5e0;
  color: #6a756e;
  letter-spacing: 2px;

  padding: 0rem 1.5rem;
  line-height: 0;
  height: 3rem;
  border-radius: 0.5rem;
  cursor: pointer;

  display: flex;
  align-items: center;
  justify-content: center;
}

@media (max-width: 800px) {
  .usp_container > .ctas_section > a:nth-child(3) {
    grid-row: 3;
    grid-column: 1;
  }
}



.border_and_shadow {
  box-shadow: 5px 5px 10px 10px #e4e4e496;
  border: 1px solid #dfdfdf;
}

.view_feature_image {
  max-width: 100%;
  aspect-ratio: 16 / 9;
  box-sizing: content-box;
}



/* Loading Feature */

.loading_feature_container {
  display: grid;
  grid-template-columns: auto 1fr;
  grid-template-rows: auto auto auto auto;
  gap: 2rem;
  align-items: center;
}

.loading_feature_container > h2 {
  grid-column: 1 / span 2;
  grid-row: 1;
  text-align: left;
}

.loading_feature_container > p {
  grid-column: 1 / span 2;
  grid-row: 2;
  text-align: left;
}

.loading_feature_container > div:nth-child(3) {
  --font-size: 2rem;
}

.loading_feature_container > div:nth-child(4) {
  background: #e0e0e0;
  border-radius: 2rem;
  height: 1rem;
}

.loading_feature_container > div:nth-child(4) > div {
  height: 100%;
  width: 100%;
  border-radius: 2rem;
  background: linear-gradient(rgb(165, 214, 180), rgb(146, 186, 159));

  animation: pesto_loading_bar_animation 1s linear infinite;
  animation-play-state: paused;
  /*
    We use 0.999 instead of 1 because, when controlling an animation using its delay,
    a delay of 1s is treated the same as 0s, which causes a visual jump.
    Using 0.999 prevents this issue.
  */
  animation-delay: calc(min(max(0, var(--animation-percent)), 0.999) * -1s);
}

@keyframes pesto_loading_bar_animation {
  from {
    width: 100%;
  }

  to {
    width: 0%;
  }
}

.loading_feature_container > div:nth-child(5) {
  --font-size: 2rem;
}

.loading_feature_container > div:nth-child(6) {
  background: #e0e0e0;
  border-radius: 2rem;
  height: 1rem;
}

.loading_feature_container > div:nth-child(6) > div {
  height: 100%;
  width: 25%;
  border-radius: 2rem;
  background: linear-gradient(#80a4d4, #5485c8);

  animation: outlook_loading_bar_animation 1s linear infinite;
  animation-play-state: paused;
  /*
    We use 0.999 instead of 1 because, when controlling an animation using its delay,
    a delay of 1s is treated the same as 0s, which causes a visual jump.
    Using 0.999 prevents this issue.
  */
  animation-delay: calc(min(max(0, var(--animation-percent)), 0.999) * -1s);
}

@keyframes outlook_loading_bar_animation {
  from {
    width: 25%;
  }

  to {
    width: 0%;
  }
}


/* Sources Feature */

.sources_feature_container {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto 1fr;
  gap: 2rem;
}

.sources_feature_container > h2 {
  grid-column: 1;
  grid-row: 1;
  text-align: left;
}

.sources_feature_container > p {
  grid-column: 1;
  grid-row: 2;
  text-align: left;
}

.sources_feature_container > img {
  grid-column: 1;
  grid-row: 3;

  justify-self: center;

  box-shadow: 5px 5px 10px 10px #e4e4e496;
  border: 1px solid #dfdfdf;
  max-width: 100%;
}


/* Filters Feature */

.filters_feature_container {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: auto 1fr;
  gap: 2rem;

  text-align: right;
}

@media (max-width: 800px) {
  .filters_feature_container {
    grid-template-columns: auto;
    grid-template-rows: auto auto auto;

    text-align: left;
  }
}

.filters_feature_container > h2 {
  grid-column: 1;
  grid-row: 1;
}

.filters_feature_container > p {
  grid-column: 1;
  grid-row: 2;
}

.filters_feature_container > img {
  grid-column: 2;
  grid-row: 1 / span 2;

  box-shadow: 5px 5px 10px 10px #e4e4e496;
  border: 1px solid #dfdfdf;
  max-width: 100%;
}

@media (max-width: 800px) {
  .filters_feature_container > img {
    grid-column: 1;
    grid-row: 3;
    justify-self: center;
    width: 200px;
  }
}

/* Attachments Feature */

.attachments_feature_container {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto 1fr;
  gap: 2rem;
}

.attachments_feature_container > h2 {
  grid-column: 1;
  grid-row: 1;
  text-align: left;
}

.attachments_feature_container > p {
  grid-column: 1;
  grid-row: 2;
  text-align: left;
}

.attachments_feature_container > img {
  grid-column: 1;
  grid-row: 3;

  justify-self: center;

  box-shadow: 5px 5px 10px 10px #e4e4e496;
  border: 1px solid #dfdfdf;
  max-width: 100%;
}

/* Compressor Feature */

.compressor_feature_container {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto 1fr;
  gap: 2rem;
}

.compressor_feature_container > h2 {
  grid-column: 1;
  grid-row: 1;
  text-align: left;
}

.compressor_feature_container > p {
  grid-column: 1;
  grid-row: 2;
  text-align: left;
}

.compressor_feature_container > img {
  grid-column: 1;
  grid-row: 3;

  justify-self: center;

  box-shadow: 5px 5px 10px 10px #e4e4e496;
  border: 1px solid #dfdfdf;
  max-width: 100%;
}

/* Deletion Feature */

.deletion_feature_container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto auto auto;
  gap: 2rem;
}

.deletion_feature_container > h2 {
  grid-column: 1 / span 2;
  grid-row: 1;
  text-align: left;
}

.deletion_feature_container > p {
  grid-column: 1 / span 2;
  grid-row: 2;
  text-align: left;
}

.deletion_feature_container > div:nth-child(3) {
  grid-column: 1;
  grid-row: 3;
  text-align: center;
  padding: 1rem;
  border-radius: 2rem;
  line-height: 0;

  background: color(srgb 0.935 0.7948 0.7948);
  color: color(srgb 0.375 0.1144 0.1144);
  border: 1px solid color(srgb 0.775 0.465 0.465);
  box-shadow: 5px 5px 10px 10px #eecbcb3b;
}

.deletion_feature_container > div:nth-child(4) {
  grid-column: 2;
  grid-row: 3;
  text-align: center;
  padding: 1rem;
  border-radius: 2rem;
  line-height: 0;

  background: hsla(205, 39.14%, 84.39%, 1);
  color: hsla(205, 45.99%, 27.06%, 1);
  border: 1px solid hsla(205, 46.87%, 61.41%, 1);
  box-shadow: 5px 5px 10px 10px #c7dae73b;
}

/* Peace Of Mind Feature */

.peace_of_mind_feature_container {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto auto;
  gap: 2rem;

  padding-bottom: 8rem;
}


.who_i_am_container {
  padding: 8rem 0rem;

  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto auto;
  gap: 2rem;
}

.link {
  color: #487957;
  text-decoration: underline;
  cursor: pointer;
}

.grey_letter {
  background: linear-gradient(rgb(67, 67, 67), rgb(111, 111, 111));
  --webkit-background-clip: text;
  background-clip: text;
  color: transparent;
}

.cta {
  display: grid;
  grid-template-rows: auto;
  grid-template-columns: minmax(0rem, 1.5rem) auto minmax(0rem, 1.5rem);
  height: 3rem;
  align-items: center;

  background: linear-gradient(90deg, rgb(165, 214, 180), #ffd38e);
  color: white;

  cursor: pointer;

  border-radius: 0.5rem;
  font-weight: bold;
  letter-spacing: 2px;
  white-space: nowrap;
}

.cta > * {
  grid-column: 2;
}


.bleu_outlook {
  background: linear-gradient(#80a4d4, #5485c8);
  --webkit-background-clip: text;
  background-clip: text;
  color: transparent;
}


.screenshot_animation {
  animation: screenshot_animation 1s linear infinite;
  animation-play-state: paused;
  /*
    We use 0.999 instead of 1 because, when controlling an animation using its delay,
    a delay of 1s is treated the same as 0s, which causes a visual jump.
    Using 0.999 prevents this issue.
  */
  --starting: 0.9;
  --ending: 0.1;
  animation-delay: calc(min(max(0, (var(--animation-percent) - var(--ending)) / (var(--starting) - var(--ending))), 0.999) * -1s);
}

@keyframes screenshot_animation {
  from {
    transform: translate(0, -50%) scale(1.0) translate(0, 50%);
  }

  to {
    transform: translate(0, -50%) scale(0.8) translate(0, 50%);
  }
}


.appear_animation {
  animation: appear_animation 1s linear infinite;
  animation-play-state: paused;
  /*
    We use 0.999 instead of 1 because, when controlling an animation using its delay,
    a delay of 1s is treated the same as 0s, which causes a visual jump.
    Using 0.999 prevents this issue.
  */
  --starting: 1;
  --ending: 0.75;
  animation-delay: calc(min(max(0, (var(--animation-percent) - var(--ending)) / (var(--starting) - var(--ending))), 0.999) * -1s);
}

@keyframes appear_animation {
  from {
    transform: translateY(0px) scale(1.0);
    opacity: 1;
  }

  to {
    transform: translateY(30px) scale(0.95);
    opacity: 0;
  }
}
